From ce967f91792920426f8fcc1335dd01c5b0935abc Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefan@marxist.se>
Date: Mon, 22 Nov 2021 15:41:35 +0100
Subject: [PATCH] Use variable-pitch in Info header-line and breadcrumb

* lisp/info.el (Info-fontify-node): Use 'variable-pitch' face in
'header-line' and breadcrumb.
---
 lisp/info.el | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/lisp/info.el b/lisp/info.el
index cd4c867f4e..6e393fa0ee 100644
--- a/lisp/info.el
+++ b/lisp/info.el
@@ -4827,14 +4827,17 @@ Info-fontify-node
 			       (replace-regexp-in-string
 				"%"
 				;; Preserve text properties on duplicated `%'.
-				(lambda (s) (concat s s)) header))
+                                (lambda (s) (concat s s))
+                                (propertize header
+                                            'face 'variable-pitch)))
             ;; Hide the part of the first line
             ;; that is in the header, if it is just part.
             (cond
              ((> Info-breadcrumbs-depth 0)
 	      (let ((ov (make-overlay (point-min) (1+ header-end))))
-		(overlay-put ov 'display (Info-breadcrumbs))
-		(overlay-put ov 'evaporate t)))
+                (overlay-put ov 'display (Info-breadcrumbs))
+                (overlay-put ov 'evaporate t)
+                (overlay-put ov 'face 'variable-pitch)))
              ((not (bobp))
               ;; Hide the punctuation at the end, too.
               (skip-chars-backward " \t,")
-- 
2.33.0

